//
//  This CSharp output file generated by Gardens Point LEX
//  Gardens Point LEX (GPLEX) is Copyright (c) John Gough, QUT 2006-2014.
//  Output produced by GPLEX is the property of the user.
//  See accompanying file GPLEXcopyright.rtf.
//
//  GPLEX Version:  1.2.2
//  Machine:  TAL-PC
//  DateTime: 6/21/2016 1:57:57 PM
//  UserName: Tal
//  GPLEX input file <Indexing\LuceneQuery.Language.analyzer.lex - 6/21/2016 1:57:52 PM>
//  GPLEX frame file <embedded resource>
//
//  Option settings: verbose, parser, stack, minimize
//  Option settings: compressNext, persistBuffer, noEmbedBuffers
//

//
// Revised backup code
// Version 1.2.1 of 24-June-2013
//
//
#define BACKUP
#define STACK
#define PERSIST
#define BYTEMODE

using System;
using System.IO;
using System.Text;
using System.Globalization;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.Diagnostics.CodeAnalysis;

using QUT.GplexBuffers;

namespace Raven.Database.Indexing
{   
    /// <summary>
    /// Summary Canonical example of GPLEX automaton
    /// </summary>
    
#if STANDALONE
    //
    // These are the dummy declarations for stand-alone GPLEX applications
    // normally these declarations would come from the parser.
    // If you declare /noparser, or %option noparser then you get this.
    //

     internal enum Token
    { 
      EOF = 0, maxParseToken = int.MaxValue 
      // must have at least these two, values are almost arbitrary
    }

     internal abstract class ScanBase
    {
        [SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "yylex")]
        [SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "yylex")]
        public abstract int yylex();

        [SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "yywrap")]
        [SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "yywrap")]
        protected virtual bool yywrap() { return true; }

#if BABEL
        protected abstract int CurrentSc { get; set; }
        // EolState is the 32-bit of state data persisted at 
        // the end of each line for Visual Studio colorization.  
        // The default is to return CurrentSc.  You must override
        // this if you want more complicated behavior.
        public virtual int EolState { 
            get { return CurrentSc; }
            set { CurrentSc = value; } 
        }
    }
    
     internal interface IColorScan
    {
        void SetSource(string source, int offset);
        int GetNext(ref int state, out int start, out int end);
#endif // BABEL
    }

#endif // STANDALONE
    
    // If the compiler can't find the scanner base class maybe you
    // need to run GPPG with the /gplex option, or GPLEX with /noparser
#if BABEL
     internal sealed partial class LuceneQueryScanner : ScanBase, IColorScan
    {
        private ScanBuff buffer;
        int currentScOrd;  // start condition ordinal
        
        protected override int CurrentSc 
        {
             // The current start state is a property
             // to try to avoid the user error of setting
             // scState but forgetting to update the FSA
             // start state "currentStart"
             //
             get { return currentScOrd; }  // i.e. return YY_START;
             set { currentScOrd = value;   // i.e. BEGIN(value);
                   currentStart = startState[value]; }
        }
#else  // BABEL
     internal sealed partial class LuceneQueryScanner : ScanBase
    {
        private ScanBuff buffer;
        int currentScOrd;  // start condition ordinal
#endif // BABEL
        
        /// <summary>
        /// The input buffer for this scanner.
        /// </summary>
        [SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        public ScanBuff Buffer { get { return buffer; } }
        
        private static int GetMaxParseToken() {
     System.Reflection.FieldInfo f = typeof(Token).GetField("maxParseToken");
            return (f == null ? int.MaxValue : (int)f.GetValue(null));
        }
        
        static int parserMax = GetMaxParseToken();
        
        enum Result {accept, noMatch, contextFound};

        const int maxAccept = 111;
        const int initial = 112;
        const int eofNum = 0;
        const int goStart = -1;
        const int INITIAL = 0;

#region user code
#endregion user code

        int state;
        int currentStart = startState[0];
        int code;      // last code read
        int cCol;      // column number of code
        int lNum;      // current line number
        //
        // The following instance variables are used, among other
        // things, for constructing the yylloc location objects.
        //
        int tokPos;        // buffer position at start of token
        int tokCol;        // zero-based column number at start of token
        int tokLin;        // line number at start of token
        int tokEPos;       // buffer position at end of token
        int tokECol;       // column number at end of token
        int tokELin;       // line number at end of token
        string tokTxt;     // lazily constructed text of token
#if STACK          
        private Stack<int> scStack = new Stack<int>();
#endif // STACK

#region ScannerTables
    struct Table {
        public int min; public int rng; public int dflt;
        public short[] nxt;
        public Table(int m, int x, int d, short[] n) {
            min = m; rng = x; dflt = d; nxt = n;
        }
    };

    static int[] startState = new int[] {112, 0};

    static Table[] NxS = new Table[147] {
/* NxS[   0] */ new Table(0, 0, 0, null), // Shortest string ""
/* NxS[   1] */ // Shortest string "\x01"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[   2] */ // Shortest string "\t"
      new Table(47, 1, -1, new short[] {146}),
/* NxS[   3] */ // Shortest string "\""
      new Table(34, 59, 142, new short[] {109, 142, 142, 142, 142, 142, 
          142, 142, 143, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 
          142, 142, 142, 142, 142, 142, 142, 143, 142, 142, 142, 142, 142, 142, 142, 142, 
          142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 
          142, 142, 142, 142, 144}),
/* NxS[   4] */ // Shortest string "&"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 108, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[   5] */ new Table(0, 0, -1, null), // Shortest string "("
/* NxS[   6] */ new Table(0, 0, -1, null), // Shortest string ")"
/* NxS[   7] */ // Shortest string "*"
      new Table(9, 118, 14, new short[] {-1, -1, 14, -1, -1, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
          14, -1, -1, -1, 14, 14, 14, 14, 14, -1, -1, 14, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 141, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, -1, 114, -1, -1, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, -1, 14, -1, -1}),
/* NxS[   8] */ // Shortest string "+"
      new Table(43, 15, -1, new short[] {137, -1, 137, -1, -1, 105, 
          105, 105, 105, 105, 105, 105, 105, 105, 105}),
/* NxS[   9] */ new Table(0, 0, -1, null), // Shortest string ","
/* NxS[  10] */ // Shortest string "-"
      new Table(43, 15, -1, new short[] {137, -1, 137, -1, -1, 105, 
          105, 105, 105, 105, 105, 105, 105, 105, 105}),
/* NxS[  11] */ // Shortest string "0"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 84, 
          1, 85, 85, 85, 85, 85, 85, 85, 85, 85, 85, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 102, 1, 1, -1, 1, -1, -1}),
/* NxS[  12] */ // Shortest string "1"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 84, 
          1, 85, 85, 85, 85, 85, 85, 85, 85, 85, 85, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  13] */ new Table(0, 0, -1, null), // Shortest string ":"
/* NxS[  14] */ // Shortest string "?"
      new Table(9, 118, 14, new short[] {-1, -1, 14, -1, -1, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
          14, -1, -1, -1, 14, 14, 14, 14, 14, -1, -1, 14, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, -1, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, -1, 114, -1, -1, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, -1, 14, -1, -1}),
/* NxS[  15] */ // Shortest string "@"
      new Table(9, 118, 73, new short[] {117, 117, 73, 117, 117, 73, 
          73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 
          73, 117, 117, 117, 73, 73, 73, 73, 73, 117, 117, 74, 73, 73, 73, 73, 
          73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 117, 73, 1, 73, 73, 
          75, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 
          73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 117, 118, 117, 117, 
          73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 
          73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 117, 73, 117, 117}),
/* NxS[  16] */ // Shortest string "A"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 71, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  17] */ // Shortest string "D"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 63, 1, 1, -1, 1, -1, -1}),
/* NxS[  18] */ // Shortest string "F"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 55, 1, 1, -1, 1, -1, -1}),
/* NxS[  19] */ // Shortest string "I"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 44, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 45, 1, 1, -1, 1, -1, -1}),
/* NxS[  20] */ // Shortest string "L"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 41, 1, 1, -1, 1, -1, -1}),
/* NxS[  21] */ // Shortest string "N"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          36, 1, 1, 1, 1, 1, 37, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  22] */ // Shortest string "O"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 35, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  23] */ // Shortest string "T"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          34, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  24] */ // Shortest string "["
      new Table(91, 1, -1, new short[] {115}),
/* NxS[  25] */ new Table(0, 0, -1, null), // Shortest string "]"
/* NxS[  26] */ new Table(0, 0, -1, null), // Shortest string "^"
/* NxS[  27] */ new Table(0, 0, -1, null), // Shortest string "{"
/* NxS[  28] */ // Shortest string "|"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 32, -1, -1}),
/* NxS[  29] */ new Table(0, 0, -1, null), // Shortest string "}"
/* NxS[  30] */ new Table(0, 0, -1, null), // Shortest string "~"
/* NxS[  31] */ // Shortest string "\x01*"
      new Table(9, 118, 14, new short[] {-1, -1, 14, -1, -1, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
          14, -1, -1, -1, 14, 14, 14, 14, 14, -1, -1, 14, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, -1, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, -1, 114, -1, -1, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, -1, 14, -1, -1}),
/* NxS[  32] */ // Shortest string "||"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  33] */ new Table(0, 0, -1, null), // Shortest string "[[]]"
/* NxS[  34] */ // Shortest string "TO"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  35] */ // Shortest string "OR"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  36] */ // Shortest string "NO"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 40, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  37] */ // Shortest string "NU"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 38, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  38] */ // Shortest string "NUL"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 39, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  39] */ // Shortest string "NULL"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  40] */ // Shortest string "NOT"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  41] */ // Shortest string "Lx"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 42, 1, 42, 1, 
          1, 43, 43, 43, 43, 43, 43, 43, 43, 43, 43, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  42] */ // Shortest string "Lx+"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 43, 43, 43, 43, 43, 43, 43, 43, 43, 43, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  43] */ // Shortest string "Lx0"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 43, 43, 43, 43, 43, 43, 43, 43, 43, 43, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  44] */ // Shortest string "IN"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 48, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  45] */ // Shortest string "Ix"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 46, 1, 46, 1, 
          1, 47, 47, 47, 47, 47, 47, 47, 47, 47, 47, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  46] */ // Shortest string "Ix+"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 47, 47, 47, 47, 47, 47, 47, 47, 47, 47, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  47] */ // Shortest string "Ix0"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 47, 47, 47, 47, 47, 47, 47, 47, 47, 47, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  48] */ // Shortest string "INT"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 49, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  49] */ // Shortest string "INTE"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 50, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  50] */ // Shortest string "INTER"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 51, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  51] */ // Shortest string "INTERS"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 52, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  52] */ // Shortest string "INTERSE"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 53, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  53] */ // Shortest string "INTERSEC"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 54, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  54] */ // Shortest string "INTERSECT"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  55] */ // Shortest string "Fx"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 56, 1, 56, 1, 
          1, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  56] */ // Shortest string "Fx+"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 61, 1, 61, 1, 
          1, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  57] */ // Shortest string "Fx0"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 58, 
          1, 57, 57, 57, 57, 57, 57, 57, 57, 57, 57, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  58] */ // Shortest string "Fx0."
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 59, 1, 59, 1, 
          1, 60, 60, 60, 60, 60, 60, 60, 60, 60, 60, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  59] */ // Shortest string "Fx0.+"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 60, 60, 60, 60, 60, 60, 60, 60, 60, 60, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  60] */ // Shortest string "Fx0.0"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 60, 60, 60, 60, 60, 60, 60, 60, 60, 60, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  61] */ // Shortest string "Fx++"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  62] */ // Shortest string "Fx++0"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 58, 
          1, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  63] */ // Shortest string "Dx"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 64, 1, 64, 1, 
          1, 65, 65, 65, 65, 65, 65, 65, 65, 65, 65, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  64] */ // Shortest string "Dx+"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 69, 1, 69, 1, 
          1, 65, 65, 65, 65, 65, 65, 65, 65, 65, 65, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  65] */ // Shortest string "Dx0"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 66, 
          1, 65, 65, 65, 65, 65, 65, 65, 65, 65, 65, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  66] */ // Shortest string "Dx0."
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 67, 1, 67, 1, 
          1, 68, 68, 68, 68, 68, 68, 68, 68, 68, 68, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  67] */ // Shortest string "Dx0.+"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 68, 68, 68, 68, 68, 68, 68, 68, 68, 68, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  68] */ // Shortest string "Dx0.0"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 68, 68, 68, 68, 68, 68, 68, 68, 68, 68, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  69] */ // Shortest string "Dx++"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 70, 70, 70, 70, 70, 70, 70, 70, 70, 70, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  70] */ // Shortest string "Dx++0"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 66, 
          1, 70, 70, 70, 70, 70, 70, 70, 70, 70, 70, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  71] */ // Shortest string "AN"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 72, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  72] */ // Shortest string "AND"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  73] */ // Shortest string "@\x01"
      new Table(9, 118, 73, new short[] {117, 117, 73, 117, 117, 73, 
          73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 
          73, 117, 117, 117, 73, 73, 73, 73, 73, 117, 117, 74, 73, 73, 73, 73, 
          73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 117, 73, 76, 73, 73, 
          75, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 
          73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 117, 118, 117, 117, 
          73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 
          73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 73, 117, 73, 117, 117}),
/* NxS[  74] */ // Shortest string "@*"
      new Table(9, 118, 75, new short[] {117, 117, 75, 117, 117, 75, 
          75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 
          75, 117, 117, 117, 75, 75, 75, 75, 75, 117, 117, 75, 75, 75, 75, 75, 
          75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 117, 75, 83, 75, 75, 
          75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 
          75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 117, 122, 117, 117, 
          75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 
          75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 117, 75, 117, 117}),
/* NxS[  75] */ // Shortest string "@?"
      new Table(9, 118, 75, new short[] {117, 117, 75, 117, 117, 75, 
          75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 
          75, 117, 117, 117, 75, 75, 75, 75, 75, 117, 117, 75, 75, 75, 75, 75, 
          75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 117, 75, 83, 75, 75, 
          75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 
          75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 117, 122, 117, 117, 
          75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 
          75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 75, 117, 75, 117, 117}),
/* NxS[  76] */ // Shortest string "@\x01<"
      new Table(9, 118, 77, new short[] {119, 119, 77, 119, 119, 77, 
          77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 
          77, 119, 119, 119, 77, 77, 77, 77, 77, 119, 119, 78, 77, 77, 77, 77, 
          77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 119, 77, 77, 77, 1, 
          79, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 
          77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 119, 120, 119, 119, 
          77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 
          77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 119, 77, 119, 119}),
/* NxS[  77] */ // Shortest string "@\x01<\x01"
      new Table(9, 118, 77, new short[] {119, 119, 77, 119, 119, 77, 
          77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 
          77, 119, 119, 119, 77, 77, 77, 77, 77, 119, 119, 78, 77, 77, 77, 77, 
          77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 119, 77, 77, 77, 80, 
          79, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 
          77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 119, 120, 119, 119, 
          77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 
          77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 77, 119, 77, 119, 119}),
/* NxS[  78] */ // Shortest string "@\x01<*"
      new Table(9, 118, 79, new short[] {119, 119, 79, 119, 119, 79, 
          79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 
          79, 119, 119, 119, 79, 79, 79, 79, 79, 119, 119, 79, 79, 79, 79, 79, 
          79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 119, 79, 79, 79, 81, 
          79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 
          79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 119, 121, 119, 119, 
          79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 
          79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 119, 79, 119, 119}),
/* NxS[  79] */ // Shortest string "@\x01<?"
      new Table(9, 118, 79, new short[] {119, 119, 79, 119, 119, 79, 
          79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 
          79, 119, 119, 119, 79, 79, 79, 79, 79, 119, 119, 79, 79, 79, 79, 79, 
          79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 119, 79, 79, 79, 81, 
          79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 
          79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 119, 121, 119, 119, 
          79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 
          79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 119, 79, 119, 119}),
/* NxS[  80] */ // Shortest string "@\x01<\x01>"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  81] */ // Shortest string "@\x01<*>"
      new Table(9, 118, 14, new short[] {-1, -1, 14, -1, -1, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
          14, -1, -1, -1, 14, 14, 14, 14, 14, -1, -1, 14, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, -1, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, -1, 114, -1, -1, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, -1, 14, -1, -1}),
/* NxS[  82] */ new Table(0, 0, -1, null), // Shortest string "@\x01<\t>"
/* NxS[  83] */ // Shortest string "@*<"
      new Table(9, 118, 79, new short[] {119, 119, 79, 119, 119, 79, 
          79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 
          79, 119, 119, 119, 79, 79, 79, 79, 79, 119, 119, 79, 79, 79, 79, 79, 
          79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 119, 79, 79, 79, 14, 
          79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 
          79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 119, 121, 119, 119, 
          79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 
          79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 79, 119, 79, 119, 119}),
/* NxS[  84] */ // Shortest string "0."
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 100, 1, 100, 1, 
          1, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  85] */ // Shortest string "00"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 84, 
          1, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  86] */ // Shortest string "000"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 84, 
          1, 87, 87, 87, 87, 87, 87, 87, 87, 87, 87, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  87] */ // Shortest string "0000"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 88, 84, 
          1, 89, 89, 89, 89, 89, 89, 89, 89, 89, 89, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  88] */ // Shortest string "0000-"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 90, 90, 90, 90, 90, 90, 90, 90, 90, 90, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  89] */ // Shortest string "00000"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 84, 
          1, 89, 89, 89, 89, 89, 89, 89, 89, 89, 89, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  90] */ // Shortest string "0000-0"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  91] */ // Shortest string "0000-00"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 92, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  92] */ // Shortest string "0000-00-"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  93] */ // Shortest string "0000-00-0"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 94, 94, 94, 94, 94, 94, 94, 94, 94, 94, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  94] */ // Shortest string "0000-00-00"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 95, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  95] */ // Shortest string "0000-00-00T"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 96, 96, 96, 96, 96, 96, 96, 96, 96, 96, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  96] */ // Shortest string "0000-00-00T0"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 97, 97, 97, 97, 97, 97, 97, 97, 97, 97, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  97] */ // Shortest string "0000-00-00T00"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 124, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[  98] */ // Shortest string "0000-00-00T00:00:00.0000000"
      new Table(90, 1, -1, new short[] {99}),
/* NxS[  99] */ new Table(0, 0, -1, null), // Shortest string "0000-00-00T00:00:00.0000000Z"
/* NxS[ 100] */ // Shortest string "0.+"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[ 101] */ // Shortest string "0.0"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 101, 101, 101, 101, 101, 101, 101, 101, 101, 101, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[ 102] */ // Shortest string "0x"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 103, 1, 103, 1, 
          1, 104, 104, 104, 104, 104, 104, 104, 104, 104, 104, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[ 103] */ // Shortest string "0x+"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 104, 104, 104, 104, 104, 104, 104, 104, 104, 104, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[ 104] */ // Shortest string "0x0"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 104, 104, 104, 104, 104, 104, 104, 104, 104, 104, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[ 105] */ // Shortest string "+0"
      new Table(46, 12, -1, new short[] {138, -1, 105, 105, 105, 105, 
          105, 105, 105, 105, 105, 105}),
/* NxS[ 106] */ // Shortest string "+0.0"
      new Table(48, 10, -1, new short[] {106, 106, 106, 106, 106, 106, 
          106, 106, 106, 106}),
/* NxS[ 107] */ new Table(0, 0, -1, null), // Shortest string "*:*"
/* NxS[ 108] */ // Shortest string "&&"
      new Table(9, 118, 1, new short[] {-1, -1, 1, -1, -1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, -1, -1, -1, 1, 1, 1, 1, 1, -1, -1, 31, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, 1, 1, 1, 
          14, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 113, -1, -1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, -1, 1, -1, -1}),
/* NxS[ 109] */ new Table(0, 0, -1, null), // Shortest string "\"\""
/* NxS[ 110] */ new Table(0, 0, -1, null), // Shortest string "\"*\""
/* NxS[ 111] */ // Shortest string "\t//"
      new Table(10, 4, 111, new short[] {-1, 111, 111, -1}),
/* NxS[ 112] */ // Shortest string ""
      new Table(9, 118, 1, new short[] {2, 2, 1, 2, 2, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 2, -1, 3, 1, 1, 1, 4, 1, 5, 6, 7, 8, 9, 10, 1, 
          1, 11, 12, 12, 12, 12, 12, 12, 12, 12, 12, 13, 1, 1, 1, 1, 
          14, 15, 16, 1, 1, 17, 1, 18, 1, 1, 19, 1, 1, 20, 1, 21, 
          22, 1, 1, 1, 1, 23, 1, 1, 1, 1, 1, 1, 24, 113, 25, 26, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 27, 28, 29, 30}),
/* NxS[ 113] */ // Shortest string "\\"
      new Table(0, 256, 1, new short[] {1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
          1, 1, 1, 1, 1, 1, 1, 1, 1, 1}),
/* NxS[ 114] */ // Shortest string "*\\"
      new Table(0, 256, 14, new short[] {14, 14, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
          14, 14, 14, 14, 14, 14, 14, 14, 14, 14}),
/* NxS[ 115] */ // Shortest string "[["
      new Table(93, 1, 115, new short[] {116}),
/* NxS[ 116] */ // Shortest string "[[]"
      new Table(93, 1, 115, new short[] {33}),
/* NxS[ 117] */ // Shortest string "@\t"
      new Table(60, 1, 117, new short[] {123}),
/* NxS[ 118] */ // Shortest string "@\\"
      new Table(60, 1, 73, new short[] {76}),
/* NxS[ 119] */ // Shortest string "@\x01<\t"
      new Table(62, 1, 119, new short[] {82}),
/* NxS[ 120] */ // Shortest string "@\x01<\\"
      new Table(62, 1, 77, new short[] {80}),
/* NxS[ 121] */ // Shortest string "@*<\\"
      new Table(62, 1, 79, new short[] {81}),
/* NxS[ 122] */ // Shortest string "@*\\"
      new Table(60, 1, 75, new short[] {83}),
/* NxS[ 123] */ // Shortest string "@\t<"
      new Table(62, 1, 119, new short[] {-1}),
/* NxS[ 124] */ // Shortest string "0000-00-00T00:"
      new Table(48, 10, -1, new short[] {125, 125, 125, 125, 125, 125, 
          125, 125, 125, 125}),
/* NxS[ 125] */ // Shortest string "0000-00-00T00:0"
      new Table(48, 10, -1, new short[] {126, 126, 126, 126, 126, 126, 
          126, 126, 126, 126}),
/* NxS[ 126] */ // Shortest string "0000-00-00T00:00"
      new Table(58, 1, -1, new short[] {127}),
/* NxS[ 127] */ // Shortest string "0000-00-00T00:00:"
      new Table(48, 10, -1, new short[] {128, 128, 128, 128, 128, 128, 
          128, 128, 128, 128}),
/* NxS[ 128] */ // Shortest string "0000-00-00T00:00:0"
      new Table(48, 10, -1, new short[] {129, 129, 129, 129, 129, 129, 
          129, 129, 129, 129}),
/* NxS[ 129] */ // Shortest string "0000-00-00T00:00:00"
      new Table(46, 1, -1, new short[] {130}),
/* NxS[ 130] */ // Shortest string "0000-00-00T00:00:00."
      new Table(48, 10, -1, new short[] {131, 131, 131, 131, 131, 131, 
          131, 131, 131, 131}),
/* NxS[ 131] */ // Shortest string "0000-00-00T00:00:00.0"
      new Table(48, 10, -1, new short[] {132, 132, 132, 132, 132, 132, 
          132, 132, 132, 132}),
/* NxS[ 132] */ // Shortest string "0000-00-00T00:00:00.00"
      new Table(48, 10, -1, new short[] {133, 133, 133, 133, 133, 133, 
          133, 133, 133, 133}),
/* NxS[ 133] */ // Shortest string "0000-00-00T00:00:00.000"
      new Table(48, 10, -1, new short[] {134, 134, 134, 134, 134, 134, 
          134, 134, 134, 134}),
/* NxS[ 134] */ // Shortest string "0000-00-00T00:00:00.0000"
      new Table(48, 10, -1, new short[] {135, 135, 135, 135, 135, 135, 
          135, 135, 135, 135}),
/* NxS[ 135] */ // Shortest string "0000-00-00T00:00:00.00000"
      new Table(48, 10, -1, new short[] {136, 136, 136, 136, 136, 136, 
          136, 136, 136, 136}),
/* NxS[ 136] */ // Shortest string "0000-00-00T00:00:00.000000"
      new Table(48, 10, -1, new short[] {98, 98, 98, 98, 98, 98, 
          98, 98, 98, 98}),
/* NxS[ 137] */ // Shortest string "++"
      new Table(48, 10, -1, new short[] {140, 140, 140, 140, 140, 140, 
          140, 140, 140, 140}),
/* NxS[ 138] */ // Shortest string "+0."
      new Table(43, 15, -1, new short[] {139, -1, 139, -1, -1, 106, 
          106, 106, 106, 106, 106, 106, 106, 106, 106}),
/* NxS[ 139] */ // Shortest string "+0.+"
      new Table(48, 10, -1, new short[] {106, 106, 106, 106, 106, 106, 
          106, 106, 106, 106}),
/* NxS[ 140] */ // Shortest string "++0"
      new Table(46, 12, -1, new short[] {138, -1, 140, 140, 140, 140, 
          140, 140, 140, 140, 140, 140}),
/* NxS[ 141] */ // Shortest string "*:"
      new Table(42, 1, -1, new short[] {107}),
/* NxS[ 142] */ // Shortest string "\"\x01"
      new Table(34, 59, 142, new short[] {109, 142, 142, 142, 142, 142, 
          142, 142, 143, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 
          142, 142, 142, 142, 142, 142, 142, 143, 142, 142, 142, 142, 142, 142, 142, 142, 
          142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 
          142, 142, 142, 142, 144}),
/* NxS[ 143] */ // Shortest string "\"*"
      new Table(34, 59, 143, new short[] {110, 143, 143, 143, 143, 143, 
          143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 
          143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 
          143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 
          143, 143, 143, 143, 145}),
/* NxS[ 144] */ // Shortest string "\"\\"
      new Table(0, 256, 142, new short[] {142, 142, 142, 142, 142, 142, 
          142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 
          142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 
          142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 
          142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 
          142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 
          142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 
          142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 
          142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 
          142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 
          142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 
          142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 
          142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 
          142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 
          142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 
          142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 142, 
          142, 142, 142, 142, 142, 142, 142, 142, 142, 142}),
/* NxS[ 145] */ // Shortest string "\"*\\"
      new Table(0, 256, 143, new short[] {143, 143, 143, 143, 143, 143, 
          143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 
          143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 
          143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 
          143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 
          143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 
          143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 
          143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 
          143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 
          143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 
          143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 
          143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 
          143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 
          143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 
          143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 
          143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 143, 
          143, 143, 143, 143, 143, 143, 143, 143, 143, 143}),
/* NxS[ 146] */ // Shortest string "\t/"
      new Table(47, 1, -1, new short[] {111}),
    };

int NextState() {
    if (code == ScanBuff.EndOfFile)
        return eofNum;
    else
        unchecked {
            int rslt;
            int idx = (byte)(code - NxS[state].min);
            if ((uint)idx >= (uint)NxS[state].rng) rslt = NxS[state].dflt;
            else rslt = NxS[state].nxt[idx];
            return rslt;
        }
}

#endregion


#if BACKUP
        // ==============================================================
        // == Nested struct used for backup in automata that do backup ==
        // ==============================================================

        struct Context // class used for automaton backup.
        {
            public int bPos;
            public int rPos; // scanner.readPos saved value
            public int cCol;
            public int lNum; // Need this in case of backup over EOL.
            public int state;
            public int cChr;
        }
        
        private Context ctx = new Context();
#endif // BACKUP

        // ==============================================================
        // ==== Nested struct to support input switching in scanners ====
        // ==============================================================

        struct BufferContext {
            internal ScanBuff buffSv;
            internal int chrSv;
            internal int cColSv;
            internal int lNumSv;
        }

        // ==============================================================
        // ===== Private methods to save and restore buffer contexts ====
        // ==============================================================

        /// <summary>
        /// This method creates a buffer context record from
        /// the current buffer object, together with some
        /// scanner state values. 
        /// </summary>
        [SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        BufferContext MkBuffCtx()
        {
            BufferContext rslt;
            rslt.buffSv = this.buffer;
            rslt.chrSv = this.code;
            rslt.cColSv = this.cCol;
            rslt.lNumSv = this.lNum;
            return rslt;
        }

        /// <summary>
        /// This method restores the buffer value and allied
        /// scanner state from the given context record value.
        /// </summary>
        [SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        void RestoreBuffCtx(BufferContext value)
        {
            this.buffer = value.buffSv;
            this.code = value.chrSv;
            this.cCol = value.cColSv;
            this.lNum = value.lNumSv;
        } 
        // =================== End Nested classes =======================

#if !NOFILES
     internal LuceneQueryScanner(Stream file) {
            SetSource(file); // no unicode option
        }   
#endif // !NOFILES

     internal LuceneQueryScanner() { }

        private int readPos;

        void GetCode()
        {
            if (code == '\n')  // This needs to be fixed for other conventions
                               // i.e. [\r\n\205\u2028\u2029]
            { 
                cCol = -1;
                lNum++;
            }
            readPos = buffer.Pos;

            // Now read new codepoint.
            code = buffer.Read();
            if (code > ScanBuff.EndOfFile)
            {
#if (!BYTEMODE)
                if (code >= 0xD800 && code <= 0xDBFF)
                {
                    int next = buffer.Read();
                    if (next < 0xDC00 || next > 0xDFFF)
                        code = ScanBuff.UnicodeReplacementChar;
                    else
                        code = (0x10000 + ((code & 0x3FF) << 10) + (next & 0x3FF));
                }
#endif
                cCol++;
            }
        }

        void MarkToken()
        {
#if (!PERSIST)
            buffer.Mark();
#endif
            tokPos = readPos;
            tokLin = lNum;
            tokCol = cCol;
        }
        
        void MarkEnd()
        {
            tokTxt = null;
            tokEPos = readPos;
            tokELin = lNum;
            tokECol = cCol;
        }

        [SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        int Peek()
        {
            int rslt, codeSv = code, cColSv = cCol, lNumSv = lNum, bPosSv = buffer.Pos;
            GetCode(); rslt = code;
            lNum = lNumSv; cCol = cColSv; code = codeSv; buffer.Pos = bPosSv;
            return rslt;
        }

        // ==============================================================
        // =====    Initialization of string-based input buffers     ====
        // ==============================================================

        /// <summary>
        /// Create and initialize a StringBuff buffer object for this scanner
        /// </summary>
        /// <param name="source">the input string</param>
        /// <param name="offset">starting offset in the string</param>
        [SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        public void SetSource(string source, int offset)
        {
            this.buffer = ScanBuff.GetBuffer(source);
            this.buffer.Pos = offset;
            this.lNum = 0;
            this.code = '\n'; // to initialize yyline, yycol and lineStart
            GetCode();
        }

        // ================ LineBuffer Initialization ===================
        /// <summary>
        /// Create and initialize a LineBuff buffer object for this scanner
        /// </summary>
        /// <param name="source">the list of input strings</param>
        [SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        public void SetSource(IList<string> source)
        {
            this.buffer = ScanBuff.GetBuffer(source);
            this.code = '\n'; // to initialize yyline, yycol and lineStart
            this.lNum = 0;
            GetCode();
        }

#if !NOFILES        
        // =============== StreamBuffer Initialization ==================

        /// <summary>
        /// Create and initialize a StreamBuff buffer object for this scanner.
        /// StreamBuff is buffer for 8-bit byte files.
        /// </summary>
        /// <param name="source">the input byte stream</param>
        [SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        public void SetSource(Stream source)
        {
            this.buffer = ScanBuff.GetBuffer(source);
            this.lNum = 0;
            this.code = '\n'; // to initialize yyline, yycol and lineStart
            GetCode();
        }
        
#if !BYTEMODE
        // ================ TextBuffer Initialization ===================

        /// <summary>
        /// Create and initialize a TextBuff buffer object for this scanner.
        /// TextBuff is a buffer for encoded unicode files.
        /// </summary>
        /// <param name="source">the input text file</param>
        /// <param name="fallbackCodePage">Code page to use if file has
        /// no BOM. For 0, use machine default; for -1, 8-bit binary</param>
        [SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        public void SetSource(Stream source, int fallbackCodePage)
        {
            this.buffer = ScanBuff.GetBuffer(source, fallbackCodePage);
            this.lNum = 0;
            this.code = '\n'; // to initialize yyline, yycol and lineStart
            GetCode();
        }
#endif // !BYTEMODE
#endif // !NOFILES
        
        // ==============================================================

#if BABEL
        //
        //  Get the next token for Visual Studio
        //
        //  "state" is the inout mode variable that maintains scanner
        //  state between calls, using the EolState property. In principle,
        //  if the calls of EolState are costly set could be called once
        //  only per line, at the start; and get called only at the end
        //  of the line. This needs more infrastructure ...
        //
        public int GetNext(ref int state, out int start, out int end)
        {
                Token next;
            int s, e;
            s = state;        // state at start
            EolState = state;
                next = (Token)Scan();
            state = EolState;
            e = state;       // state at end;
            start = tokPos;
            end = tokEPos - 1; // end is the index of last char.
            return (int)next;
        }        
#endif // BABEL

        // ======== AbstractScanner<> Implementation =========

        [SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        [SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "yylex")]
        [SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "yylex")]
        public override int yylex()
        {
            // parserMax is set by reflecting on the Tokens
            // enumeration.  If maxParseToken is defined
            // that is used, otherwise int.MaxValue is used.
            int next;
            do { next = Scan(); } while (next >= parserMax);
            return next;
        }
        
        [SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        int yypos { get { return tokPos; } }
        
        [SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        int yyline { get { return tokLin; } }
        
        [SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        int yycol { get { return tokCol; } }

        [SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        [SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "yytext")]
        [SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "yytext")]
        public string yytext
        {
            get 
            {
                if (tokTxt == null) 
                    tokTxt = buffer.GetString(tokPos, tokEPos);
                return tokTxt;
            }
        }

        /// <summary>
        /// Discards all but the first "n" codepoints in the recognized pattern.
        /// Resets the buffer position so that only n codepoints have been consumed;
        /// yytext is also re-evaluated. 
        /// </summary>
        /// <param name="n">The number of codepoints to consume</param>
        [SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        void yyless(int n)
        {
            buffer.Pos = tokPos;
            // Must read at least one char, so set before start.
            cCol = tokCol - 1; 
            GetCode();
            // Now ensure that line counting is correct.
            lNum = tokLin;
            // And count the rest of the text.
            for (int i = 0; i < n; i++) GetCode();
            MarkEnd();
        }
       
        //
        //  It would be nice to count backward in the text
        //  but it does not seem possible to re-establish
        //  the correct column counts except by going forward.
        //
        /// <summary>
        /// Removes the last "n" code points from the pattern.
        /// </summary>
        /// <param name="n">The number to remove</param>
        [SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        void _yytrunc(int n) { yyless(yyleng - n); }
        
        //
        // This is painful, but we no longer count
        // codepoints.  For the overwhelming majority 
        // of cases the single line code is fast, for
        // the others, well, at least it is all in the
        // buffer so no files are touched. Note that we
        // can't use (tokEPos - tokPos) because of the
        // possibility of surrogate pairs in the token.
        //
        /// <summary>
        /// The length of the pattern in codepoints (not the same as 
        /// string-length if the pattern contains any surrogate pairs).
        /// </summary>
        [SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        [SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "yyleng")]
        [SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "yyleng")]
        public int yyleng
        {
            get {
                if (tokELin == tokLin)
                    return tokECol - tokCol;
                else
#if BYTEMODE
                    return tokEPos - tokPos;
#else
                {
                    int ch;
                    int count = 0;
                    int save = buffer.Pos;
                    buffer.Pos = tokPos;
                    do {
                        ch = buffer.Read();
                        if (!char.IsHighSurrogate((char)ch)) count++;
                    } while (buffer.Pos < tokEPos && ch != ScanBuff.EndOfFile);
                    buffer.Pos = save;
                    return count;
                }
#endif // BYTEMODE
            }
        }
        
        // ============ methods available in actions ==============

        [SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        internal int YY_START {
            get { return currentScOrd; }
            set { currentScOrd = value; 
                  currentStart = startState[value]; 
            } 
        }
        
        [SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        internal void BEGIN(int next) {
            currentScOrd = next;
            currentStart = startState[next];
        }

        // ============== The main tokenizer code =================

        int Scan() {
                for (; ; ) {
                    int next;              // next state to enter
#if LEFTANCHORS
                    for (;;) {
                        // Discard characters that do not start any pattern.
                        // Must check the left anchor condition after *every* GetCode!
                        state = ((cCol == 0) ? anchorState[currentScOrd] : currentStart);
                        if ((next = NextState()) != goStart) break; // LOOP EXIT HERE...
                        GetCode();
                    }
                    
#else // !LEFTANCHORS
                    state = currentStart;
                    while ((next = NextState()) == goStart) {
                        // At this point, the current character has no
                        // transition from the current state.  We discard 
                        // the "no-match" char.   In traditional LEX such 
                        // characters are echoed to the console.
                        GetCode();
                    }
#endif // LEFTANCHORS                    
                    // At last, a valid transition ...    
                    MarkToken();
                    state = next;
                    GetCode();                    
#if BACKUP
                    bool contextSaved = false;
                    while ((next = NextState()) > eofNum) { // Exit for goStart AND for eofNum
                        if (state <= maxAccept && next > maxAccept) { // need to prepare backup data
                            // Store data for the *latest* accept state that was found.
                            SaveStateAndPos( ref ctx );
                            contextSaved = true;
                        }
                        state = next;
                        GetCode();
                    }
                    if (state > maxAccept && contextSaved)
                        RestoreStateAndPos( ref ctx );
#else  // BACKUP
                    while ((next = NextState()) > eofNum) { // Exit for goStart AND for eofNum
                         state = next;
                         GetCode();
                    }
#endif // BACKUP
                    if (state <= maxAccept) {
                        MarkEnd();
#region ActionSwitch
#pragma warning disable 162, 1522
    switch (state)
    {
        case eofNum:
            switch (currentStart) {
                case 112:
/*This is needed for yywrap to work, do not delete this comment!!!*/
                    break;
            }
            if (yywrap())
                return (int)Token.EOF;
            break;
        case 1: // Recognized '{UnquotedTerm}',	Shortest string "\x01"
        case 4: // Recognized '{UnquotedTerm}',	Shortest string "&"
        case 15: // Recognized '{UnquotedTerm}',	Shortest string "@"
        case 16: // Recognized '{UnquotedTerm}',	Shortest string "A"
        case 17: // Recognized '{UnquotedTerm}',	Shortest string "D"
        case 18: // Recognized '{UnquotedTerm}',	Shortest string "F"
        case 19: // Recognized '{UnquotedTerm}',	Shortest string "I"
        case 20: // Recognized '{UnquotedTerm}',	Shortest string "L"
        case 21: // Recognized '{UnquotedTerm}',	Shortest string "N"
        case 22: // Recognized '{UnquotedTerm}',	Shortest string "O"
        case 23: // Recognized '{UnquotedTerm}',	Shortest string "T"
        case 28: // Recognized '{UnquotedTerm}',	Shortest string "|"
        case 36: // Recognized '{UnquotedTerm}',	Shortest string "NO"
        case 37: // Recognized '{UnquotedTerm}',	Shortest string "NU"
        case 38: // Recognized '{UnquotedTerm}',	Shortest string "NUL"
        case 41: // Recognized '{UnquotedTerm}',	Shortest string "Lx"
        case 42: // Recognized '{UnquotedTerm}',	Shortest string "Lx+"
        case 44: // Recognized '{UnquotedTerm}',	Shortest string "IN"
        case 45: // Recognized '{UnquotedTerm}',	Shortest string "Ix"
        case 46: // Recognized '{UnquotedTerm}',	Shortest string "Ix+"
        case 48: // Recognized '{UnquotedTerm}',	Shortest string "INT"
        case 49: // Recognized '{UnquotedTerm}',	Shortest string "INTE"
        case 50: // Recognized '{UnquotedTerm}',	Shortest string "INTER"
        case 51: // Recognized '{UnquotedTerm}',	Shortest string "INTERS"
        case 52: // Recognized '{UnquotedTerm}',	Shortest string "INTERSE"
        case 53: // Recognized '{UnquotedTerm}',	Shortest string "INTERSEC"
        case 55: // Recognized '{UnquotedTerm}',	Shortest string "Fx"
        case 56: // Recognized '{UnquotedTerm}',	Shortest string "Fx+"
        case 58: // Recognized '{UnquotedTerm}',	Shortest string "Fx0."
        case 59: // Recognized '{UnquotedTerm}',	Shortest string "Fx0.+"
        case 61: // Recognized '{UnquotedTerm}',	Shortest string "Fx++"
        case 62: // Recognized '{UnquotedTerm}',	Shortest string "Fx++0"
        case 63: // Recognized '{UnquotedTerm}',	Shortest string "Dx"
        case 64: // Recognized '{UnquotedTerm}',	Shortest string "Dx+"
        case 66: // Recognized '{UnquotedTerm}',	Shortest string "Dx0."
        case 67: // Recognized '{UnquotedTerm}',	Shortest string "Dx0.+"
        case 69: // Recognized '{UnquotedTerm}',	Shortest string "Dx++"
        case 70: // Recognized '{UnquotedTerm}',	Shortest string "Dx++0"
        case 71: // Recognized '{UnquotedTerm}',	Shortest string "AN"
        case 73: // Recognized '{UnquotedTerm}',	Shortest string "@\x01"
        case 76: // Recognized '{UnquotedTerm}',	Shortest string "@\x01<"
        case 77: // Recognized '{UnquotedTerm}',	Shortest string "@\x01<\x01"
        case 84: // Recognized '{UnquotedTerm}',	Shortest string "0."
        case 88: // Recognized '{UnquotedTerm}',	Shortest string "0000-"
        case 90: // Recognized '{UnquotedTerm}',	Shortest string "0000-0"
        case 91: // Recognized '{UnquotedTerm}',	Shortest string "0000-00"
        case 92: // Recognized '{UnquotedTerm}',	Shortest string "0000-00-"
        case 93: // Recognized '{UnquotedTerm}',	Shortest string "0000-00-0"
        case 94: // Recognized '{UnquotedTerm}',	Shortest string "0000-00-00"
        case 95: // Recognized '{UnquotedTerm}',	Shortest string "0000-00-00T"
        case 96: // Recognized '{UnquotedTerm}',	Shortest string "0000-00-00T0"
        case 97: // Recognized '{UnquotedTerm}',	Shortest string "0000-00-00T00"
        case 100: // Recognized '{UnquotedTerm}',	Shortest string "0.+"
        case 102: // Recognized '{UnquotedTerm}',	Shortest string "0x"
        case 103: // Recognized '{UnquotedTerm}',	Shortest string "0x+"
if(InMethod && bStack.Count == 0) 
                                {
                                    yylval.s = HandleTermInMethod();
                                }
                                else 
                                {
                                    yylval.s = DiscardEscapeChar(yytext, true);
                                }
                                return (int)Token.UNQUOTED_TERM;
            break;
        case 2: // Recognized '{Whitespace}',	Shortest string "\t"
/* skip */
            break;
        case 3: // Recognized '"\""',	Shortest string "\""
return (int)Token.QUOTE;
            break;
        case 5: // Recognized '"("',	Shortest string "("
return (int)Token.OPEN_PAREN;
            break;
        case 6: // Recognized '")"',	Shortest string ")"
return (int)Token.CLOSE_PAREN;
            break;
        case 7: // Recognized '{WildCardTerm}',	Shortest string "*"
        case 14: // Recognized '{WildCardTerm}',	Shortest string "?"
        case 75: // Recognized '{WildCardTerm}',	Shortest string "@?"
        case 79: // Recognized '{WildCardTerm}',	Shortest string "@\x01<?"
        case 83: // Recognized '{WildCardTerm}',	Shortest string "@*<"
yylval.s = DiscardEscapeChar(yytext);  return (int)Token.WILDCARD_TERM;
            break;
        case 8: // Recognized '"+"',	Shortest string "+"
return (int)Token.PLUS;
            break;
        case 9: // Recognized '","',	Shortest string ","
return (int)Token.COMMA;
            break;
        case 10: // Recognized '"-"',	Shortest string "-"
return (int)Token.MINUS;
            break;
        case 11: // Recognized '{Number}',	Shortest string "0"
        case 12: // Recognized '{Number}',	Shortest string "1"
        case 85: // Recognized '{Number}',	Shortest string "00"
        case 86: // Recognized '{Number}',	Shortest string "000"
        case 87: // Recognized '{Number}',	Shortest string "0000"
        case 89: // Recognized '{Number}',	Shortest string "00000"
        case 105: // Recognized '{Number}',	Shortest string "+0"
yylval.s = yytext; return (int)Token.INT_NUMBER;
            break;
        case 13: // Recognized '":"',	Shortest string ":"
return (int)Token.COLON;
            break;
        case 24: // Recognized '"["',	Shortest string "["
return (int)Token.OPEN_SQUARE_BRACKET;
            break;
        case 25: // Recognized '"]"',	Shortest string "]"
return (int)Token.CLOSE_SQUARE_BRACKET;
            break;
        case 26: // Recognized '"^"',	Shortest string "^"
return (int)Token.BOOST;
            break;
        case 27: // Recognized '"{"',	Shortest string "{"
return (int)Token.OPEN_CURLY_BRACKET;
            break;
        case 29: // Recognized '"}"',	Shortest string "}"
return (int)Token.CLOSE_CURLY_BRACKET;
            break;
        case 30: // Recognized '"~"',	Shortest string "~"
return (int)Token.TILDA;
            break;
        case 31: // Recognized '{PrefixTerm}',	Shortest string "\x01*"
        case 74: // Recognized '{PrefixTerm}',	Shortest string "@*"
        case 78: // Recognized '{PrefixTerm}',	Shortest string "@\x01<*"
yylval.s = DiscardEscapeChar(yytext);  return (int)Token.PREFIX_TERM;
            break;
        case 32: // Recognized '"||"',	Shortest string "||"
return (int)Token.OR;
            break;
        case 33: // Recognized '{UnanalizedTerm}',	Shortest string "[[]]"
yylval.s = DiscardEscapeChar(yytext); return (int)Token.UNANALIZED_TERM;
            break;
        case 34: // Recognized '"TO"',	Shortest string "TO"
return (int)Token.TO;
            break;
        case 35: // Recognized '"OR"',	Shortest string "OR"
return (int)Token.OR;
            break;
        case 39: // Recognized '"NULL"',	Shortest string "NULL"
yylval.s = yytext; return (int)Token.NULL;
            break;
        case 40: // Recognized '"NOT"',	Shortest string "NOT"
return (int)Token.NOT;
            break;
        case 43: // Recognized '"Lx"{Number}',	Shortest string "Lx0"
yylval.s = yytext; return (int)Token.LONG_NUMBER;
            break;
        case 47: // Recognized '"Ix"{Number}',	Shortest string "Ix0"
yylval.s = yytext; return (int)Token.INT_NUMBER;
            break;
        case 54: // Recognized '"INTERSECT"',	Shortest string "INTERSECT"
return (int)Token.INTERSECT;
            break;
        case 57: // Recognized '"Fx"({Decimal}|{Number})',	Shortest string "Fx0"
        case 60: // Recognized '"Fx"({Decimal}|{Number})',	Shortest string "Fx0.0"
yylval.s = yytext; return (int)Token.FLOAT_NUMBER;
            break;
        case 65: // Recognized '"Dx"({Decimal}|{Number})',	Shortest string "Dx0"
        case 68: // Recognized '"Dx"({Decimal}|{Number})',	Shortest string "Dx0.0"
yylval.s = yytext; return (int)Token.DOUBLE_NUMBER;
            break;
        case 72: // Recognized '"AND"',	Shortest string "AND"
return (int)Token.AND;
            break;
        case 80: // Recognized '{Method}',	Shortest string "@\x01<\x01>"
        case 81: // Recognized '{Method}',	Shortest string "@\x01<*>"
        case 82: // Recognized '{Method}',	Shortest string "@\x01<\t>"
yylval.s = yytext; return (int)Token.METHOD;
            break;
        case 98: // Recognized '{DateTime}',	Shortest string "0000-00-00T00:00:00.0000000"
        case 99: // Recognized '{DateTime}',	Shortest string "0000-00-00T00:00:00.0000000Z"
yylval.s = yytext; return (int)Token.DATETIME;
            break;
        case 101: // Recognized '{Decimal}',	Shortest string "0.0"
        case 106: // Recognized '{Decimal}',	Shortest string "+0.0"
yylval.s = yytext; return (int)Token.FLOAT_NUMBER;
            break;
        case 104: // Recognized '"0x"{Number}',	Shortest string "0x0"
yylval.s = yytext; return (int)Token.HEX_NUMBER;
            break;
        case 107: // Recognized '"*:*"',	Shortest string "*:*"
return (int)Token.ALL_DOC;
            break;
        case 108: // Recognized '"&&"',	Shortest string "&&"
return (int)Token.AND;
            break;
        case 109: // Recognized '{QuotedTerm}',	Shortest string "\"\""
yylval.s = DiscardEscapeChar(yytext); 
                                    return (int)Token.QUOTED_TERM;
            break;
        case 110: // Recognized '{QuotedWildcardTerm}',	Shortest string "\"*\""
yylval.s = yytext; return (int)Token.QUOTED_WILDCARD_TERM;
            break;
        case 111: // Recognized '{Comment}',	Shortest string "\t//"
/* skip */
            break;
        default:
            break;
    }
#pragma warning restore 162, 1522
#endregion
                    }
                }
        }

#if BACKUP
        void SaveStateAndPos(ref Context ctx) {
            ctx.bPos  = buffer.Pos;
            ctx.rPos  = readPos;
            ctx.cCol  = cCol;
            ctx.lNum  = lNum;
            ctx.state = state;
            ctx.cChr  = code;
        }

        void RestoreStateAndPos(ref Context ctx) {
            buffer.Pos = ctx.bPos;
            readPos = ctx.rPos;
            cCol  = ctx.cCol;
            lNum  = ctx.lNum;
            state = ctx.state;
            code  = ctx.cChr;
        }
#endif  // BACKUP

        // ============= End of the tokenizer code ================

#if STACK        
        [SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        internal void yy_clear_stack() { scStack.Clear(); }
        
        [SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        internal int yy_top_state() { return scStack.Peek(); }
        
        internal void yy_push_state(int state)
        {
            scStack.Push(currentScOrd);
            BEGIN(state);
        }
        
        internal void yy_pop_state()
        {
            // Protect against input errors that pop too far ...
            if (scStack.Count > 0) {
                int newSc = scStack.Pop();
                BEGIN(newSc);
            } // Otherwise leave stack unchanged.
        }
 #endif // STACK

        [SuppressMessage("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        internal void ECHO() { Console.Out.Write(yytext); }
        
    } // end class $Scanner


} // end namespace
